com.corticon.services.metadata.vocabulary

## Interface IEntityMetadata

-     public interface IEntityMetadata

  Interface IEntityMetadata provides methods related to a particular Vocabulary's Entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAssociationMetadata` | `getAssociationMetadataFromRoleName(java.lang.String astrRoleName)` Get a specific IAssociationMetadata based on the Association's 'Association Role Name'.
    `IAssociationMetadata` | `getAssociationMetadataFromXmlElementName(java.lang.String astrXmlPropertyName)` Get a specific IAssociationMetadata based on the Association's 'Xml Propety Name'.
    `java.util.Collection<IAssociationMetadata>` | `getAssociationMetadatas()` Get a Collection of all IAssociationMetadata instances for this IEntityMetadata instance
    `IAttributeMetadata` | `getAttributeMetadataFromAttributeName(java.lang.String astrAttributeName)` Get a specific IAttributeMetadata based on the Attribute's 'Name'.
    `IAttributeMetadata` | `getAttributeMetadataFromDatabaseColumnName(java.lang.String astrColumnName, java.lang.String astrMappingID)` Get a specific IAttributeMetadata based on the Attribute's 'Column Name'.
    `IAttributeMetadata` | `getAttributeMetadataFromXmlElementName(java.lang.String astrXmlElementName)` Get a specific IAttributeMetadata based on the Attribute's 'Xml Element Name'.
    `java.util.Collection<IAttributeMetadata>` | `getAttributeMetadatas()` Get a Collection of all IAttributeMetadata instances for this IEntityMetadata instance
    `java.util.Collection<java.lang.String>` | `getDatasourceNames()` Get a List of defined datasource names
    `java.util.Collection<java.lang.String>` | `getDatasourceProperties(java.lang.String astrDatasourceName)` Get a List of Properties defined in the given datasource name
    `java.lang.String` | `getDatasourceProperty(java.lang.String astrDatasourceName, java.lang.String astrProperty)` Get the value of the datasource property for given datasource name and property key
    `java.lang.String` | `getDatastoreCaching()` Get the Entity's 'Datastore Caching' value
    `boolean` | `getDatastorePersistent()` Get the Entity's 'Datastore Persistent' value
    `java.lang.String` | `getIdentity()` Get the Entity's 'Identity' value
    `java.lang.String` | `getIdentity(java.lang.String astrMappingId)` Get the entity identity defined in the given vocabulary mapping
    `java.lang.String` | `getIdentityColumnName()` Get the Entity's 'Identity Column Name' value
    `java.lang.String` | `getIdentitySequence()` Get the Entity's 'Identity Sequence' value
    `java.lang.String` | `getIdentityStrategy()` Get the Entity's 'Identity Strategy' value
    `java.lang.String` | `getIdentityTableName()` Get the Entity's 'Identity Table Name' value
    `java.lang.String` | `getIdentityTableNameColumnName()` Get the Entity's 'Identity Table Name Column Name' value
    `java.lang.String` | `getIdentityTableValueColumnName()` Get the Entity's 'Identity Table Value Column Name' value
    `java.lang.String` | `getInheritsFrom()` Get the Entity's 'Inherits From' value
    `java.lang.String` | `getJavaClassName()` Get the Entity's 'Java Class Name' value
    `java.lang.String` | `getJavaPackage()` Get the Entity's 'Java Package' value
    `java.lang.String` | `getName()` Get the Entity's 'Name'
    `java.lang.String` | `getTableName()` Get the Entity's 'Table Name' value
    `java.lang.String` | `getTableName(java.lang.String astrMappingId)` Get the table name defined in the given vocabulary mapping
    `java.lang.String` | `getVersionColumnName()` Get the Entity's 'Version Column Name' value
    `java.lang.String` | `getVersionStrategy()` Get the Entity's 'Version Strategy' value
    `java.lang.String` | `getXmlElementName()` Get the Entity's 'Xml Element Name' value
    `java.lang.String` | `getXmlNamespace()` Get the Entity's 'Xml Namespace' value
    `boolean` | `isValidAttributeName(java.lang.String astrAttributeName)` Query if the given attribute name is a valid attribute for this entity
    `boolean` | `isValidRoleName(java.lang.String astrRoleName)` Query if hte given role name is a valid role for this entity

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get the Entity's 'Name'
      Returns:
        A String of Entity's 'Name'

    - #### getIdentity

          java.lang.String getIdentity()

      Get the Entity's 'Identity' value
      Returns:
        A String of Entity's 'Identity' value

    - #### getInheritsFrom

          java.lang.String getInheritsFrom()

      Get the Entity's 'Inherits From' value
      Returns:
        A String of Entity's 'Inherits From' value

    - #### getXmlNamespace

          java.lang.String getXmlNamespace()

      Get the Entity's 'Xml Namespace' value
      Returns:
        A String of Entity's 'Xml Namespace' value

    - #### getXmlElementName

          java.lang.String getXmlElementName()

      Get the Entity's 'Xml Element Name' value
      Returns:
        A String of Entity's 'Xml Element Name' value

    - #### getJavaPackage

          java.lang.String getJavaPackage()

      Get the Entity's 'Java Package' value
      Returns:
        A String of Entity's 'Java Package' value

    - #### getJavaClassName

          java.lang.String getJavaClassName()

      Get the Entity's 'Java Class Name' value
      Returns:
        A String of Entity's 'Java Class Name' value

    - #### getDatastorePersistent

          boolean getDatastorePersistent()

      Get the Entity's 'Datastore Persistent' value
      Returns:
        A boolean of Entity's 'Datastore Persistent' value

    - #### getTableName

          java.lang.String getTableName()

      Get the Entity's 'Table Name' value
      Returns:
        A String of Entity's 'Table Name' value

    - #### getDatastoreCaching

          java.lang.String getDatastoreCaching()

      Get the Entity's 'Datastore Caching' value
      Returns:
        A String of Entity's 'Datastore Caching' value

    - #### getIdentityStrategy

          java.lang.String getIdentityStrategy()

      Get the Entity's 'Identity Strategy' value
      Returns:
        A String of Entity's 'Identity Strategy' value

    - #### getIdentityColumnName

          java.lang.String getIdentityColumnName()

      Get the Entity's 'Identity Column Name' value
      Returns:
        A String of Entity's 'Identity Column Name' value

    - #### getIdentitySequence

          java.lang.String getIdentitySequence()

      Get the Entity's 'Identity Sequence' value
      Returns:
        A String of Entity's 'Identity Sequence' value

    - #### getIdentityTableName

          java.lang.String getIdentityTableName()

      Get the Entity's 'Identity Table Name' value
      Returns:
        A String of Entity's 'Identity Table Name' value

    - #### getIdentityTableNameColumnName

          java.lang.String getIdentityTableNameColumnName()

      Get the Entity's 'Identity Table Name Column Name' value
      Returns:
        A String of Entity's 'Identity Table Name Column Name' value

    - #### getIdentityTableValueColumnName

          java.lang.String getIdentityTableValueColumnName()

      Get the Entity's 'Identity Table Value Column Name' value
      Returns:
        A String of Entity's 'Identity Table Value Column Name' value

    - #### getVersionStrategy

          java.lang.String getVersionStrategy()

      Get the Entity's 'Version Strategy' value
      Returns:
        A String of Entity's 'Version Strategy' value

    - #### getVersionColumnName

          java.lang.String getVersionColumnName()

      Get the Entity's 'Version Column Name' value
      Returns:
        A String of Entity's 'Version Column Name' value

    - #### getAttributeMetadatas

          java.util.Collection<IAttributeMetadata> getAttributeMetadatas()

      Get a Collection of all IAttributeMetadata instances for this IEntityMetadata instance
      Returns:
        A Collection of IAttributeMetadata instances

    - #### getAssociationMetadatas

          java.util.Collection<IAssociationMetadata> getAssociationMetadatas()

      Get a Collection of all IAssociationMetadata instances for this IEntityMetadata instance
      Returns:
        A Collection of IAssociationMetadata instances

    - #### getAttributeMetadataFromAttributeName

          IAttributeMetadata getAttributeMetadataFromAttributeName(java.lang.String astrAttributeName)

      Get a specific IAttributeMetadata based on the Attribute's 'Name'.
      Parameters:
        `astrAttributeName` - - The Attribute name
      Returns:
        A IAttributeMetadata instances

    - #### getAttributeMetadataFromXmlElementName

          IAttributeMetadata getAttributeMetadataFromXmlElementName(java.lang.String astrXmlElementName)

      Get a specific IAttributeMetadata based on the Attribute's 'Xml Element Name'.
      Parameters:
        `astrXmlElementName` - - The 'Xml Element Name' value for a particular IAttributeMetadata instance.
      Returns:
        A IAttributeMetadata instances

    - #### getAttributeMetadataFromDatabaseColumnName

          IAttributeMetadata getAttributeMetadataFromDatabaseColumnName(java.lang.String astrColumnName,
                                                                        java.lang.String astrMappingID)

      Get a specific IAttributeMetadata based on the Attribute's 'Column Name'.
      Parameters:
        `astrTableName` - - The 'Column Name' value for a particular IAttributeMetadata instance.
      Returns:
        A IAttributeMetadata instances

    - #### getAssociationMetadataFromRoleName

          IAssociationMetadata getAssociationMetadataFromRoleName(java.lang.String astrRoleName)

      Get a specific IAssociationMetadata based on the Association's 'Association Role Name'.
      Parameters:
        `astrRoleName` - - The Association 'Association Role Name'
      Returns:
        A IAssociationMetadata instances

    - #### getAssociationMetadataFromXmlElementName

          IAssociationMetadata getAssociationMetadataFromXmlElementName(java.lang.String astrXmlPropertyName)

      Get a specific IAssociationMetadata based on the Association's 'Xml Propety Name'.
      Parameters:
        `astrXmlPropertyName` - - The 'Xml Property Name' value for a particular IAttributeMetadata instance.
      Returns:
        A IAssociationMetadata instances

    - #### isValidAttributeName

          boolean isValidAttributeName(java.lang.String astrAttributeName)

      Query if the given attribute name is a valid attribute for this entity
      Parameters:
        `astrAttributeName` -
      Returns:

    - #### isValidRoleName

          boolean isValidRoleName(java.lang.String astrRoleName)

      Query if hte given role name is a valid role for this entity
      Parameters:
        `astrRoleName` -
      Returns:

    - #### getDatasourceProperty

          java.lang.String getDatasourceProperty(java.lang.String astrDatasourceName,
                                                 java.lang.String astrProperty)

      Get the value of the datasource property for given datasource name and property key
      Parameters:
        `aDatasourceName` -
        `aProperty` -
      Returns:

    - #### getDatasourceProperties

          java.util.Collection<java.lang.String> getDatasourceProperties(java.lang.String astrDatasourceName)

      Get a List of Properties defined in the given datasource name
      Parameters:
        `aDatasourceName` -
      Returns:

    - #### getDatasourceNames

          java.util.Collection<java.lang.String> getDatasourceNames()

      Get a List of defined datasource names
      Returns:

    - #### getTableName

          java.lang.String getTableName(java.lang.String astrMappingId)

      Get the table name defined in the given vocabulary mapping
      Parameters:
        `astrMappingID` -
      Returns:

    - #### getIdentity

          java.lang.String getIdentity(java.lang.String astrMappingId)

      Get the entity identity defined in the given vocabulary mapping
      Parameters:
        `astrMappingID` -
      Returns:

Copyright © 2005-2018 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.